datacache <- new.env(hash=TRUE, parent=emptyenv())

mu11ksubbmmug <- function() showQCData("mu11ksubbmmug", datacache)
mu11ksubbmmug_dbconn <- function() dbconn(datacache)
mu11ksubbmmug_dbfile <- function() dbfile(datacache)
mu11ksubbmmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mu11ksubbmmug_dbInfo <- function() dbInfo(datacache)

mu11ksubbmmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mu11ksubbmmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mu11ksubbmmug", "chip mu11ksubbmmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mu11ksubbmmug_dbconn())
}

